Đến nội dung


Hình ảnh

Có thể Slice cho 2D không ???


  • Please log in to reply
8 replies to this topic

#1 vanduong

vanduong

    biết lệnh adcenter

  • Validating
  • PipPipPipPipPipPipPip
  • 1383 Bài viết
Điểm đánh giá: 536 (tốt)

Đã gửi 16 June 2008 - 01:22 PM

E phải sửa một số bản vẽ mà cứ phải trim, move, exten, ... làm thủ công hoài cũng chán cái con "chuột".
Các Pác cho em hỏi trong 2D có thể tách đối tượng ra giống kiểu Slice cho Solids trong 3D không ạ.
Xin chân thành cảm ơn.
  • 0

#2 gp14

gp14

    DO TUAN GIAP

  • Moderator
  • PipPipPipPipPipPipPip
  • 1860 Bài viết
Điểm đánh giá: 1120 (rất tốt)

Đã gửi 16 June 2008 - 01:35 PM

E phải sửa một số bản vẽ mà cứ phải trim, move, exten, ... làm thủ công hoài cũng chán cái con "chuột".
Các Pác cho em hỏi trong 2D có thể tách đối tượng ra giống kiểu Slice cho Solids trong 3D không ạ.
Xin chân thành cảm ơn.

Nếu đối tượng 2d của bạn là miền kín, bạn có thể dùng lệnh region để biến chúng thành region rồi dùng Su, Uni, In để trừ, cộng, giao khối
còn nếu bạn muốn tách rời 1 phần của đối tượng 2d (ví dụ như muốn lấy 1 đoạn của đường line chẳng hạn có thể dùng đoạn lisp sau, lệnh là br
(defun c:Br  () (setvar "osmode" 32) (command "break" pause "f" "int" pause  "@")   (setvar "osmode"  0))

  • 0

#3 vanduong

vanduong

    biết lệnh adcenter

  • Validating
  • PipPipPipPipPipPipPip
  • 1383 Bài viết
Điểm đánh giá: 536 (tốt)

Đã gửi 16 June 2008 - 02:08 PM

Ý EM LÀ TÁCH NHIỀU ĐỐI TƯỢNG 2D CÙNG MỘT LÚC. RỒI SỬA Ở CHỖ VỪA MỚI TÁCH >> SAU ĐÓ MOVE LẠI.
BÁC COI THỬ : [http://www.cadviet.com/upfiles/DG1.jpg
Hình đã gửi
NẾU ĐƯỢC MONG BÁC GIÚP


  • 0

#4 vanduong

vanduong

    biết lệnh adcenter

  • Validating
  • PipPipPipPipPipPipPip
  • 1383 Bài viết
Điểm đánh giá: 536 (tốt)

Đã gửi 16 June 2008 - 04:29 PM

Nếu đối tượng 2d của bạn là miền kín, bạn có thể dùng lệnh region để biến chúng thành region rồi dùng Su, Uni, In để trừ, cộng, giao khối
còn nếu bạn muốn tách rời 1 phần của đối tượng 2d (ví dụ như muốn lấy 1 đoạn của đường line chẳng hạn có thể dùng đoạn lisp sau, lệnh là br

(defun c:Br  () (setvar "osmode" 32) (command "break" pause "f" "int" pause  "@")   (setvar "osmode"  0))

cám ơn bác GP lắm
nhưng em muốn cùng một lúc Br(tách 1 phần giống Lisp của Bác cho) nhiều đối tượng thì phải làm sao ạ????????/

http://www.cadviet.c..._ACB_16_6_1.dwg
  • 0

#5 gp14

gp14

    DO TUAN GIAP

  • Moderator
  • PipPipPipPipPipPipPip
  • 1860 Bài viết
Điểm đánh giá: 1120 (rất tốt)

Đã gửi 16 June 2008 - 05:38 PM

cám ơn bác GP lắm
nhưng em muốn cùng một lúc Br(tách 1 phần giống Lisp của Bác cho) nhiều đối tượng thì phải làm sao ạ????????/

Trong TH này mình sẽ copy cả bản vẽ ra, dùng lệnh extrim để xoá phần thừa, sửa phần còn lại rồi move về vị trí cũ.
  • 0

#6 vanduong

vanduong

    biết lệnh adcenter

  • Validating
  • PipPipPipPipPipPipPip
  • 1383 Bài viết
Điểm đánh giá: 536 (tốt)

Đã gửi 17 June 2008 - 08:28 AM

Trong TH này mình sẽ copy cả bản vẽ ra, dùng lệnh extrim để xoá phần thừa, sửa phần còn lại rồi move về vị trí cũ.


bác ơi làm như thế này thì cũng giống Trim rồi tách ra vẽ tiếp rồi move vào nếu thế thì nó không giữ được trạng thái ban đầu nữa mà đã mất đi một đoạn khi Trim. còn Slice trong 3D thì nó tách ra được. Bác viết dùm em cái "lisp tách nhiều đối tượng 2D cùng một lúc khi chọn nhiều đối tượng " giồng như Slice trong 3D
Em cảm ơn Pro lém
Hình đã gửi

--------------------------
Nhấn vào nút Thanks nếu nói lời cảm ơn - KHÀ KHÀ :s_big:
  • 0

#7 be_chanh

be_chanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1712 Bài viết
Điểm đánh giá: 889 (rất tốt)

Đã gửi 17 June 2008 - 10:00 AM

với 3d mới cần dùng đến SLICE chứ 2d thì cần gì nhỉ ? Có nhiều cách để làm được đó mà bạn
  • 0

t: 097.323.1199 | m: cudstk@gmail.com | w: http://www.aicollect.com


#8 vanduong

vanduong

    biết lệnh adcenter

  • Validating
  • PipPipPipPipPipPipPip
  • 1383 Bài viết
Điểm đánh giá: 536 (tốt)

Đã gửi 17 June 2008 - 10:20 AM

với 3d mới cần dùng đến SLICE chứ 2d thì cần gì nhỉ ? Có nhiều cách để làm được đó mà bạn


Bác Ji nói rõ hơn một chút được không ?
tất nhiên là nhiều cách rồi nhưng cách TỐI ƯU nhất mới là điều đáng nói.

--------------------------
Nhấn vào nút Thanks nếu nói lời cảm ơn - KHÀ KHÀ :s_big:
  • 0

#9 zoro107

zoro107

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 07 September 2010 - 11:45 AM

Bác Ji nói rõ hơn một chút được không ?
tất nhiên là nhiều cách rồi nhưng cách TỐI ƯU nhất mới là điều đáng nói.

--------------------------
Nhấn vào nút Thanks nếu nói lời cảm ơn - KHÀ KHÀ :undecided:


mình biết trong adt co bộ lệnh linewỏktrim,linewworksuptract,.... nhưng trong cad thường thì khong có. Bác Hoàng co thể nghiên cứu để đưa vào cad thường được không vậy ...
em cảm ơn bác nhìu lém....
  • 0